Ubuntu 18.04, Wayland, and older versions of NM for client

Forums / NoMachine for Linux / Ubuntu 18.04, Wayland, and older versions of NM for client

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #19156
    AvatarHowardP
    Participant

    Hi NoMachiners,

    First off, a big thanks for an amazing product that “just works” across so many platforms !

    Several interrelated questions here … goal is to get a win7 client working with Ubuntu-mate 18.04 (Desktop).   If 18.04 is now supported, then the below is moot and can be skipped:

    My two older linux boxes worked fine with NM, but 16.04 upgrades started having Unity (?) problems unrelated to NM. Now 16 can’t boot unless I go through recovery mode. The solution, as far as I can tell, is to slick the OS and install 18.04  (Bionic Beaver) … of course, that leads to wondering if NM will run on it :))

    One person here said they got a headless server working on 18 and NM, but another mentions recent issues (more below (*)).

    I understand that Wayland caused (or causes?) problems for NM, but Wayland support is now there (see,  e.g., the NM v. 6.1.6 announcement April 19th, 2018 @ https://www.nomachine.com/SU04P00196)

    However – (and this may have nothing to do with Wayland ?) – that announcement does not list 18.xx as supported .. only up to 17.10 (Scroll down there to “Supported Platforms”.)   Does that mean I should wait for 18 to be supported – or perhaps that was just an editorial oversight?

    It looks the server desktop is running on Wayland. Is the server a virtual machine? In that case, you can revert to Xorg by uncommenting line #WaylandEnable=false in /etc/gdm/custom.conf and restarting the display manager with systemctl restart gdm. —https://forums.nomachine.com/topic/nomachine-on-ubuntu-shows-only-white-screen#post-18754

    Would this work too for Ubuntu-Mate 18.04 Desktop ?

    In a possibly related issue: my Win7 machine is running 4.6.2 – every time I tried to update to 5, it failed (Sorry, no error messages to offer). Will I need to try and upgrade to 6.1.6 on the client side to get this all working?   (I am concerned that I might dork up all of these machines!)

    thanks again so much for your time and support.

    – Howard in Florida

     

     

    #19164
    AvatarBritgirl
    Keymaster

    Hi Howard in Florida 🙂

    thanks for your starting comment, that’s what we like to hear!

    Bionic Beaver is supported, we added support for Ubuntu 18.04 in the last release, 6.2.4. This is what you need to update to. The workaround that you mentioned from the other forum topic shouldn’t be necessary. Remember that on 18.04, Ubuntu switched back to X.org, so Wayland is optional now, not the default display.

    Once you’re running Bionic Beaver, update NoMachine to 6.2.4.

    If you do want to use Wayland, you’d better take a look at our notes here:

    Notes for connections to Linux physical desktops running Wayland
    https://www.nomachine.com/AR02P00969

    As for that version 4 client on Windows you are using, I would strongly recommend you bring that up-to-date to the latest version as well. Why it’s failing to update to v5 is hard to say without seeing the error message you get and install logs which you have, you could attach them here. Was that using the manual install procedure or automatic update from the GUI? Did you try uninstalling and reinstalling?

    Removing v4 completely and installing v6 from our website would be the sensible thing to do, i) because version 4 is no longer supported ii) a number of issues have been fixed since that version.

    Let us know how you get on!

Viewing 2 posts - 1 through 2 (of 2 total)

This topic was marked as solved, you can't post.